package com.dayou.dyoa;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.dto.history.HisAssetsOrder;
import com.dayou.dto.history.HisMajorOrder;
import com.dayou.dto.history.HisOrderParam;

import java.util.Map;

public interface IDyoaHistoryService {


    Page<HisMajorOrder> hisMajorPage(HisOrderParam param);

    String getEverCookie();

    void fetchAboutMajor(String id);

    /**
     * 获取老系统资产订单
     * @param param 老系统查询参数
     * @return Page<HisAssetsOrder>
     */
    Page<HisAssetsOrder> hisAssetsPage(HisOrderParam param);

    void fetchDyoaMajorOrderProduction();

    void fetchDyoaPersonalOrder();

    void fetchAssetsOrderProduction();

    void fetchRealAmount();

    void fetchRealAmountClaimData();

    void fetchFinanceInvoiceRecord();

    Boolean updateProductionFund();

    Boolean updateClaimProductionId();

    Boolean updateMajorProduction();

    Boolean updateCommissionDeclare();

    Boolean updatePersonalProduction();

    Boolean updateAssetsProduction();

    Boolean updatePersonalProductionTime();

    Boolean updateMajorSubClientId();

    Boolean updateAssetsMembers();

    Boolean majorMarketDepartmentId();

    Boolean majorProductionTime();

    Boolean assetsMarketDepartment();
}
